<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>CS 250 Data Structures: Program/Employee.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">CS 250 Data Structures
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_dd9648d51d0cc76533772683c862213b.html">Program</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">Employee.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="Employee_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="preprocessor">#ifndef _EMPLOYEE</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="preprocessor">#define _EMPLOYEE</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160; </div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="preprocessor">#include &lt;string&gt;</span></div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="preprocessor">#include &lt;iostream&gt;</span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160; </div>
<div class="line"><a name="l00007"></a><span class="lineno"><a class="line" href="structEmployee.html">    7</a></span>&#160;<span class="keyword">struct </span><a class="code" href="structEmployee.html">Employee</a></div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;{</div>
<div class="line"><a name="l00009"></a><span class="lineno"><a class="line" href="structEmployee.html#a96be0266b2ad505817bb56a1651c4065">    9</a></span>&#160;    std::string <a class="code" href="structEmployee.html#a96be0266b2ad505817bb56a1651c4065">m_name</a>;</div>
<div class="line"><a name="l00010"></a><span class="lineno"><a class="line" href="structEmployee.html#a4e7fa4958307fd76b261bea9a90540b8">   10</a></span>&#160;    std::string <a class="code" href="structEmployee.html#a4e7fa4958307fd76b261bea9a90540b8">m_email</a>;</div>
<div class="line"><a name="l00011"></a><span class="lineno"><a class="line" href="structEmployee.html#aede690e6e765f2f3bc6934346631925f">   11</a></span>&#160;    <span class="keywordtype">size_t</span> <a class="code" href="structEmployee.html#aede690e6e765f2f3bc6934346631925f">m_passwordHash</a>;</div>
<div class="line"><a name="l00012"></a><span class="lineno"><a class="line" href="structEmployee.html#a591f466e320963e46d014353ea8c3e16">   12</a></span>&#160;    <span class="keywordtype">size_t</span> <a class="code" href="structEmployee.html#a591f466e320963e46d014353ea8c3e16">m_id</a>;</div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160; </div>
<div class="line"><a name="l00014"></a><span class="lineno"><a class="line" href="structEmployee.html#a577f83bdb0f1aeb3aa8d5e8166ad1e35">   14</a></span>&#160;    <span class="keywordtype">void</span> <a class="code" href="structEmployee.html#a577f83bdb0f1aeb3aa8d5e8166ad1e35">Display</a>()</div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;    {</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;        std::cout &lt;&lt; <span class="stringliteral">&quot;ID:    &quot;</span> &lt;&lt; <a class="code" href="structEmployee.html#a591f466e320963e46d014353ea8c3e16">m_id</a> &lt;&lt; std::endl;</div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;        std::cout &lt;&lt; <span class="stringliteral">&quot;NAME:  &quot;</span> &lt;&lt; <a class="code" href="structEmployee.html#a96be0266b2ad505817bb56a1651c4065">m_name</a> &lt;&lt; std::endl;</div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;        std::cout &lt;&lt; <span class="stringliteral">&quot;EMAIL: &quot;</span> &lt;&lt; <a class="code" href="structEmployee.html#a4e7fa4958307fd76b261bea9a90540b8">m_email</a> &lt;&lt; std::endl;</div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;    }</div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;};</div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160; </div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="preprocessor">#endif</span></div>
</div><!-- fragment --></div><!-- contents -->
<div class="ttc" id="astructEmployee_html_aede690e6e765f2f3bc6934346631925f"><div class="ttname"><a href="structEmployee.html#aede690e6e765f2f3bc6934346631925f">Employee::m_passwordHash</a></div><div class="ttdeci">size_t m_passwordHash</div><div class="ttdef"><b>Definition:</b> Employee.h:11</div></div>
<div class="ttc" id="astructEmployee_html_a591f466e320963e46d014353ea8c3e16"><div class="ttname"><a href="structEmployee.html#a591f466e320963e46d014353ea8c3e16">Employee::m_id</a></div><div class="ttdeci">size_t m_id</div><div class="ttdef"><b>Definition:</b> Employee.h:12</div></div>
<div class="ttc" id="astructEmployee_html_a96be0266b2ad505817bb56a1651c4065"><div class="ttname"><a href="structEmployee.html#a96be0266b2ad505817bb56a1651c4065">Employee::m_name</a></div><div class="ttdeci">std::string m_name</div><div class="ttdef"><b>Definition:</b> Employee.h:9</div></div>
<div class="ttc" id="astructEmployee_html_a4e7fa4958307fd76b261bea9a90540b8"><div class="ttname"><a href="structEmployee.html#a4e7fa4958307fd76b261bea9a90540b8">Employee::m_email</a></div><div class="ttdeci">std::string m_email</div><div class="ttdef"><b>Definition:</b> Employee.h:10</div></div>
<div class="ttc" id="astructEmployee_html_a577f83bdb0f1aeb3aa8d5e8166ad1e35"><div class="ttname"><a href="structEmployee.html#a577f83bdb0f1aeb3aa8d5e8166ad1e35">Employee::Display</a></div><div class="ttdeci">void Display()</div><div class="ttdef"><b>Definition:</b> Employee.h:14</div></div>
<div class="ttc" id="astructEmployee_html"><div class="ttname"><a href="structEmployee.html">Employee</a></div><div class="ttdef"><b>Definition:</b> Employee.h:7</div></div>
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
